Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#58450 - [firefox-developer-edition] Language packs do not work

Attached to Project: Community Packages
Opened by Frederick Zhang (FrederickZh) - Friday, 04 May 2018, 08:59 GMT
Last edited by Andrew Crerar (andrewSC) - Friday, 11 May 2018, 13:34 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Andrew Crerar (andrewSC)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
Language packs do not show up in "about:addons". It warns me that they cannot be verified if I try to manually add them. This didn't happen in 60.0b15-1.
I have already set xpinstall.signatures.required to false and other unsigned add-ons work normally.

Is it an upstream issue? Quickly searched in their bugzilla without finding anything related tho.

Additional info:
* package version(s): 61.0b1-1
This task depends upon

Closed by  Andrew Crerar (andrewSC)
Friday, 11 May 2018, 13:34 GMT
Reason for closing:  Fixed
Additional comments about closing:  Fixed in 61.0b3 in community
Comment by nl6720 (nl6720) - Friday, 04 May 2018, 09:50 GMT
I too don't see the language packs in about:addons anymore, but for me the UI seems to be localized.
Comment by Frederick Zhang (FrederickZh) - Friday, 04 May 2018, 21:12 GMT
It's fixed in 61.0b2-1.
Comment by Frederick Zhang (FrederickZh) - Saturday, 05 May 2018, 15:58 GMT
  • Field changed: Percent Complete (100% → 0%)
Ahh, sorry I was being dumb... thought it was upgraded to 61.0b2 but pacman didn't commit the transaction due to some existing files.

Just re-did the upgrade and the issue still exists.
Comment by Andrew Crerar (andrewSC) - Sunday, 06 May 2018, 21:40 GMT
There currently seems to be a good amount of work underway upstream regarding extensions in general. I found this task: https://bugzilla.mozilla.org/show_bug.cgi?id=1459056 which I don't think is directly related to the issue but worth noting.

For this ticket, can you try setting "extensions.langpacks.signatures.required" to "false" in about:config, restart the browser, and try to install the langpack?
Comment by jingyu9575 (jingyu9575) - Thursday, 10 May 2018, 11:15 GMT
Please change the installed file name from langpack-$1@firefox.mozilla.org.xpi to langpack-$1@devedition.mozilla.org.xpi. The langpack extension's id has changed since 61. Firefox needs to be restarted twice to apply the change.
Comment by Frederick Zhang (FrederickZh) - Thursday, 10 May 2018, 12:40 GMT
Thanks, @jinyu9575. I fixed the names and the language packs are back in the menu. But spell check is still not working?
Comment by Andrew Crerar (andrewSC) - Thursday, 10 May 2018, 12:42 GMT
Thanks jingyu9575, I'll try to make the change today. FrederickZh, there's currently an open ticket for spell checker: https://bugs.archlinux.org/task/58461

Loading...